<?xml version='1.1' encoding='UTF-8'?>
<hudson.maven.MavenModuleSetBuild plugin="maven-plugin@3.6">
  <actions>
    <org.jfrog.hudson.BuildInfoResultAction plugin="artifactory@3.6.1">
      <publishedBuildsDetails class="java.util.concurrent.CopyOnWriteArrayList">
        <org.jfrog.hudson.PublishedBuildDetails>
          <artifactoryUrl>http://101.53.158.201:8081/artifactory</artifactoryUrl>
          <buildName>PrashanthMavenTest</buildName>
          <buildNumber>18</buildNumber>
        </org.jfrog.hudson.PublishedBuildDetails>
      </publishedBuildsDetails>
      <build class="hudson.maven.MavenModuleSetBuild" reference="../../.."/>
    </org.jfrog.hudson.BuildInfoResultAction>
    <hudson.model.CauseAction>
      <causeBag class="linked-hash-map">
        <entry>
          <hudson.model.Cause_-UserIdCause>
            <userId>devops</userId>
          </hudson.model.Cause_-UserIdCause>
          <int>1</int>
        </entry>
      </causeBag>
    </hudson.model.CauseAction>
    <hudson.plugins.git.util.BuildData plugin="git@4.2.2">
      <buildsByBranchName>
        <entry>
          <string>refs/remotes/origin/master</string>
          <hudson.plugins.git.util.Build>
            <marked plugin="git-client@3.2.1">
              <sha1>07c7525d0ae4d57d1a7c8d419b3b9537fce4ce6b</sha1>
              <branches class="list">
                <hudson.plugins.git.Branch>
                  <sha1 reference="../../../sha1"/>
                  <name>refs/remotes/origin/master</name>
                </hudson.plugins.git.Branch>
              </branches>
            </marked>
            <revision reference="../marked"/>
            <hudsonBuildNumber>18</hudsonBuildNumber>
          </hudson.plugins.git.util.Build>
        </entry>
      </buildsByBranchName>
      <lastBuild reference="../buildsByBranchName/entry/hudson.plugins.git.util.Build"/>
      <remoteUrls>
        <string>https://gitlab.com/Anand.1667.yadav/prashanth-hello-world.git</string>
      </remoteUrls>
    </hudson.plugins.git.util.BuildData>
    <hudson.plugins.git.GitTagAction plugin="git@4.2.2">
      <tags class="hudson.util.CopyOnWriteMap$Tree">
        <entry>
          <string>refs/remotes/origin/master</string>
          <list/>
        </entry>
      </tags>
      <ws>/home/devops/.jenkins/workspace/PrashanthMavenTest</ws>
    </hudson.plugins.git.GitTagAction>
    <hudson.scm.SCMRevisionState_-None/>
    <hudson.plugins.pmd.PmdMavenResultAction plugin="pmd@4.0.0">
      <defaultEncoding>UTF-8</defaultEncoding>
      <delegate class="hudson.plugins.pmd.PmdResultAction">
        <owner class="hudson.maven.MavenModuleSetBuild" reference="../../../.."/>
        <healthDescriptor class="hudson.plugins.pmd.PmdHealthDescriptor">
          <priority>LOW</priority>
          <healthy></healthy>
          <unHealthy></unHealthy>
          <thresholds plugin="analysis-core@1.96">
            <unstableTotalAll></unstableTotalAll>
            <unstableTotalHigh></unstableTotalHigh>
            <unstableTotalNormal></unstableTotalNormal>
            <unstableTotalLow></unstableTotalLow>
            <unstableNewAll></unstableNewAll>
            <unstableNewHigh></unstableNewHigh>
            <unstableNewNormal></unstableNewNormal>
            <unstableNewLow></unstableNewLow>
            <failedTotalAll></failedTotalAll>
            <failedTotalHigh></failedTotalHigh>
            <failedTotalNormal></failedTotalNormal>
            <failedTotalLow></failedTotalLow>
            <failedNewAll></failedNewAll>
            <failedNewHigh></failedNewHigh>
            <failedNewNormal></failedNewNormal>
            <failedNewLow></failedNewLow>
          </thresholds>
        </healthDescriptor>
        <result class="hudson.plugins.pmd.PmdReporterResult">
          <owner class="hudson.maven.MavenModuleSetBuild" reference="../../../../.."/>
          <modules>
            <string>HelloWorld Maven Project</string>
          </modules>
          <numberOfModules>1</numberOfModules>
          <defaultEncoding>UTF-8</defaultEncoding>
          <numberOfWarnings>3</numberOfWarnings>
          <numberOfNewWarnings>0</numberOfNewWarnings>
          <numberOfFixedWarnings>0</numberOfFixedWarnings>
          <delta>0</delta>
          <lowDelta>0</lowDelta>
          <normalDelta>0</normalDelta>
          <highDelta>0</highDelta>
          <lowWarnings>0</lowWarnings>
          <normalWarnings>3</normalWarnings>
          <highWarnings>0</highWarnings>
          <zeroWarningsSinceBuild>0</zeroWarningsSinceBuild>
          <zeroWarningsSinceDate>0</zeroWarningsSinceDate>
          <zeroWarningsHighScore>0</zeroWarningsHighScore>
          <isZeroWarningsHighscore>false</isZeroWarningsHighscore>
          <highScoreGap>0</highScoreGap>
          <errors/>
          <pluginResult>SUCCESS</pluginResult>
          <successfulSinceBuild>0</successfulSinceBuild>
          <successfulSinceDate>0</successfulSinceDate>
          <successfulHighscore>0</successfulHighscore>
          <isSuccessfulHighscore>false</isSuccessfulHighscore>
          <successfulHighScoreGap>0</successfulHighScoreGap>
          <isSuccessfulStateTouched>false</isSuccessfulStateTouched>
          <referenceBuild>14</referenceBuild>
        </result>
      </delegate>
    </hudson.plugins.pmd.PmdMavenResultAction>
    <hudson.maven.reporters.SurefireAggregatedReport>
      <descriptions class="concurrent-hash-map"/>
      <failCount>0</failCount>
      <skipCount>0</skipCount>
      <totalCount>4</totalCount>
      <children>
        <hudson.tasks.test.AggregatedTestResultAction_-Child plugin="junit@1.28">
          <name>com.qaagility:HelloWorld</name>
          <build>18</build>
        </hudson.tasks.test.AggregatedTestResultAction_-Child>
      </children>
    </hudson.maven.reporters.SurefireAggregatedReport>
    <hudson.maven.reporters.MavenAggregatedArtifactRecord>
      <records/>
      <parent reference="../../.."/>
    </hudson.maven.reporters.MavenAggregatedArtifactRecord>
    <hudson.plugins.cobertura.CoberturaCoverageRecordAction plugin="cobertura@1.16">
      <lastUnhealthyTarget>
        <targets class="enum-map" enum-type="hudson.plugins.cobertura.targets.CoverageMetric">
          <entry>
            <hudson.plugins.cobertura.targets.CoverageMetric>METHOD</hudson.plugins.cobertura.targets.CoverageMetric>
            <int>0</int>
          </entry>
          <entry>
            <hudson.plugins.cobertura.targets.CoverageMetric>LINE</hudson.plugins.cobertura.targets.CoverageMetric>
            <int>0</int>
          </entry>
          <entry>
            <hudson.plugins.cobertura.targets.CoverageMetric>CONDITIONAL</hudson.plugins.cobertura.targets.CoverageMetric>
            <int>0</int>
          </entry>
        </targets>
      </lastUnhealthyTarget>
      <lastFailingTarget>
        <targets class="enum-map" enum-type="hudson.plugins.cobertura.targets.CoverageMetric">
          <entry>
            <hudson.plugins.cobertura.targets.CoverageMetric>METHOD</hudson.plugins.cobertura.targets.CoverageMetric>
            <int>0</int>
          </entry>
          <entry>
            <hudson.plugins.cobertura.targets.CoverageMetric>LINE</hudson.plugins.cobertura.targets.CoverageMetric>
            <int>0</int>
          </entry>
          <entry>
            <hudson.plugins.cobertura.targets.CoverageMetric>CONDITIONAL</hudson.plugins.cobertura.targets.CoverageMetric>
            <int>0</int>
          </entry>
        </targets>
      </lastFailingTarget>
      <lastUpdatedUnhealthyTarget>
        <targets class="enum-map" enum-type="hudson.plugins.cobertura.targets.CoverageMetric">
          <entry>
            <hudson.plugins.cobertura.targets.CoverageMetric>METHOD</hudson.plugins.cobertura.targets.CoverageMetric>
            <int>0</int>
          </entry>
          <entry>
            <hudson.plugins.cobertura.targets.CoverageMetric>LINE</hudson.plugins.cobertura.targets.CoverageMetric>
            <int>0</int>
          </entry>
          <entry>
            <hudson.plugins.cobertura.targets.CoverageMetric>CONDITIONAL</hudson.plugins.cobertura.targets.CoverageMetric>
            <int>0</int>
          </entry>
        </targets>
      </lastUpdatedUnhealthyTarget>
      <lastUpdatedFailingTarget>
        <targets class="enum-map" enum-type="hudson.plugins.cobertura.targets.CoverageMetric">
          <entry>
            <hudson.plugins.cobertura.targets.CoverageMetric>METHOD</hudson.plugins.cobertura.targets.CoverageMetric>
            <int>0</int>
          </entry>
          <entry>
            <hudson.plugins.cobertura.targets.CoverageMetric>LINE</hudson.plugins.cobertura.targets.CoverageMetric>
            <int>0</int>
          </entry>
          <entry>
            <hudson.plugins.cobertura.targets.CoverageMetric>CONDITIONAL</hudson.plugins.cobertura.targets.CoverageMetric>
            <int>0</int>
          </entry>
        </targets>
      </lastUpdatedFailingTarget>
      <autoUpdateHealth>false</autoUpdateHealth>
      <autoUpdateStability>false</autoUpdateStability>
    </hudson.plugins.cobertura.CoberturaCoverageRecordAction>
    <hudson.plugins.cobertura.CoberturaBuildAction plugin="cobertura@1.16">
      <healthyTarget>
        <targets class="enum-map" enum-type="hudson.plugins.cobertura.targets.CoverageMetric">
          <entry>
            <hudson.plugins.cobertura.targets.CoverageMetric>METHOD</hudson.plugins.cobertura.targets.CoverageMetric>
            <int>8000000</int>
          </entry>
          <entry>
            <hudson.plugins.cobertura.targets.CoverageMetric>LINE</hudson.plugins.cobertura.targets.CoverageMetric>
            <int>8000000</int>
          </entry>
          <entry>
            <hudson.plugins.cobertura.targets.CoverageMetric>CONDITIONAL</hudson.plugins.cobertura.targets.CoverageMetric>
            <int>7000000</int>
          </entry>
        </targets>
      </healthyTarget>
      <unhealthyTarget reference="../../hudson.plugins.cobertura.CoberturaCoverageRecordAction/lastUpdatedUnhealthyTarget"/>
      <failUnhealthy>false</failUnhealthy>
      <failUnstable>false</failUnstable>
      <autoUpdateHealth>false</autoUpdateHealth>
      <autoUpdateStability>false</autoUpdateStability>
      <zoomCoverageChart>false</zoomCoverageChart>
      <maxNumberOfBuilds>0</maxNumberOfBuilds>
      <result class="enum-map" enum-type="hudson.plugins.cobertura.targets.CoverageMetric">
        <entry>
          <hudson.plugins.cobertura.targets.CoverageMetric>PACKAGES</hudson.plugins.cobertura.targets.CoverageMetric>
          <hudson.plugins.cobertura.Ratio>
            <numerator>1.0</numerator>
            <denominator>1.0</denominator>
          </hudson.plugins.cobertura.Ratio>
        </entry>
        <entry>
          <hudson.plugins.cobertura.targets.CoverageMetric>FILES</hudson.plugins.cobertura.targets.CoverageMetric>
          <hudson.plugins.cobertura.Ratio reference="../../entry/hudson.plugins.cobertura.Ratio"/>
        </entry>
        <entry>
          <hudson.plugins.cobertura.targets.CoverageMetric>CLASSES</hudson.plugins.cobertura.targets.CoverageMetric>
          <hudson.plugins.cobertura.Ratio reference="../../entry/hudson.plugins.cobertura.Ratio"/>
        </entry>
        <entry>
          <hudson.plugins.cobertura.targets.CoverageMetric>METHOD</hudson.plugins.cobertura.targets.CoverageMetric>
          <hudson.plugins.cobertura.Ratio>
            <numerator>3.0</numerator>
            <denominator>4.0</denominator>
          </hudson.plugins.cobertura.Ratio>
        </entry>
        <entry>
          <hudson.plugins.cobertura.targets.CoverageMetric>LINE</hudson.plugins.cobertura.targets.CoverageMetric>
          <hudson.plugins.cobertura.Ratio>
            <numerator>11.0</numerator>
            <denominator>12.0</denominator>
          </hudson.plugins.cobertura.Ratio>
        </entry>
        <entry>
          <hudson.plugins.cobertura.targets.CoverageMetric>CONDITIONAL</hudson.plugins.cobertura.targets.CoverageMetric>
          <hudson.plugins.cobertura.Ratio>
            <numerator>0.0</numerator>
            <denominator>0.0</denominator>
          </hudson.plugins.cobertura.Ratio>
        </entry>
      </result>
      <health>
        <score>93</score>
        <iconClassName>icon-health-80plus</iconClassName>
        <iconUrl>health-80plus.png</iconUrl>
        <localizibleDescription>
          <holder>
            <owner>hudson.plugins.cobertura.Messages</owner>
          </holder>
          <key>CoberturaBuildAction.description</key>
          <args>
            <int>75</int>
            <string>3/4</string>
            <string>Methods</string>
          </args>
        </localizibleDescription>
      </health>
      <onlyStable>false</onlyStable>
    </hudson.plugins.cobertura.CoberturaBuildAction>
    <hudson.tasks.Fingerprinter_-FingerprintAction>
      <record>
        <entry>
          <string>org.mockito:mockito-all-1.10.19.jar</string>
          <string>979ec16f27b6b541278e0ecd10efd771</string>
        </entry>
        <entry>
          <string>net.sourceforge.cobertura:cobertura-2.1.1.jar</string>
          <string>64ad7750d16873da736ec722018c96f1</string>
        </entry>
        <entry>
          <string>org.seleniumhq.selenium:selenium-chrome-driver-3.13.0.jar</string>
          <string>640632f8446d952621e4c2a4f4b4dfbc</string>
        </entry>
        <entry>
          <string>org.seleniumhq.selenium:selenium-remote-driver-3.13.0.jar</string>
          <string>7ffff55293508ee3859684f339880c70</string>
        </entry>
        <entry>
          <string>org.apache.ant:ant-junit-1.8.3.jar</string>
          <string>372f40b93f9adc0efc1ef4b379ced0fe</string>
        </entry>
        <entry>
          <string>javax.servlet:jsp-api-2.0.jar</string>
          <string>8d4a9cf34eb4e374b41b6b98960028d0</string>
        </entry>
        <entry>
          <string>net.bytebuddy:byte-buddy-1.9.7.jar</string>
          <string>3038371407163c76c89749c3a7c458b0</string>
        </entry>
        <entry>
          <string>ch.qos.logback:logback-classic-1.0.13.jar</string>
          <string>18586a078b51918942002ec085338e19</string>
        </entry>
        <entry>
          <string>junit:junit-4.12.jar</string>
          <string>5b38c40c97fbd0adee29f91e60405584</string>
        </entry>
        <entry>
          <string>com.qaagility:HelloWorld:pom.xml</string>
          <string>aaa44eca6c660a687ceeba8bd06b5729</string>
        </entry>
        <entry>
          <string>org.seleniumhq.selenium:selenium-api-3.13.0.jar</string>
          <string>43fe8b144fc06b250f7867164ddcec21</string>
        </entry>
        <entry>
          <string>net.bytebuddy:byte-buddy-agent-1.9.7.jar</string>
          <string>f2c5583a5856a1b68275f70fca2f96fc</string>
        </entry>
        <entry>
          <string>com.squareup.okio:okio-1.14.1.jar</string>
          <string>905eb56fac2397ea35b9034975c0483a</string>
        </entry>
        <entry>
          <string>org.checkerframework:checker-compat-qual-2.0.0.jar</string>
          <string>b6fb2610dacd211a3e2c3d8af1b60d0f</string>
        </entry>
        <entry>
          <string>org.apache.httpcomponents:httpclient-4.5.5.jar</string>
          <string>97e7e5b135476b7d25a5ab31e1ea4922</string>
        </entry>
        <entry>
          <string>org.seleniumhq.selenium:selenium-java-3.13.0.jar</string>
          <string>3a711d29a2a34933627e694e2c5eb07e</string>
        </entry>
        <entry>
          <string>com.google.errorprone:error_prone_annotations-2.1.3.jar</string>
          <string>97504b36cf871722d81a4b9e114f2a16</string>
        </entry>
        <entry>
          <string>org.hamcrest:hamcrest-core-1.3.jar</string>
          <string>6393363b47ddcbba82321110c3e07519</string>
        </entry>
        <entry>
          <string>org.seleniumhq.selenium:selenium-opera-driver-3.13.0.jar</string>
          <string>27893f792c86990060eeda9cd54011cf</string>
        </entry>
        <entry>
          <string>ch.qos.logback:logback-core-1.0.13.jar</string>
          <string>945c6dc3c10d3ce784d456a8bbbd0262</string>
        </entry>
        <entry>
          <string>org.seleniumhq.selenium:selenium-safari-driver-3.13.0.jar</string>
          <string>caea0bb39fba278a0d3b08ed41bb2340</string>
        </entry>
        <entry>
          <string>org.slf4j:slf4j-api-1.7.5.jar</string>
          <string>3b1ececad9ebc3fbad2953ccf4a070ca</string>
        </entry>
        <entry>
          <string>com.google.code.findbugs:jsr305-1.3.9.jar</string>
          <string>1d5a772e400b04bb67a7ef4a0e0996d8</string>
        </entry>
        <entry>
          <string>org.apache.httpcomponents:httpcore-4.4.9.jar</string>
          <string>b89455507839c09d6119661defd2166a</string>
        </entry>
        <entry>
          <string>javax.servlet:servlet-api-2.4.jar</string>
          <string>f6cf3fde0b992589ed3d87fa9674015f</string>
        </entry>
        <entry>
          <string>org.mortbay.jetty:jetty-util-6.1.14.jar</string>
          <string>53b97897d5c9c48059b114ee05bfea12</string>
        </entry>
        <entry>
          <string>org.codehaus.mojo:animal-sniffer-annotations-1.14.jar</string>
          <string>9d42e46845c874f1710a9f6a741f6c14</string>
        </entry>
        <entry>
          <string>commons-io:commons-io-2.6.jar</string>
          <string>467c2a1f64319c99b5faf03fc78572af</string>
        </entry>
        <entry>
          <string>javax.servlet:javax.servlet-api-4.0.1.jar</string>
          <string>b80414033bf3397de334b95e892a2f44</string>
        </entry>
        <entry>
          <string>commons-codec:commons-codec-1.10.jar</string>
          <string>353cf6a2bdba09595ccfa073b78c7fcb</string>
        </entry>
        <entry>
          <string>org.seleniumhq.selenium:selenium-ie-driver-3.13.0.jar</string>
          <string>c330e6b4508f113572436e89bae9b6b4</string>
        </entry>
        <entry>
          <string>net.sourceforge.cobertura:cobertura-runtime-2.1.1.pom</string>
          <string>4fa1d3d6c44481ed11535b4843c3a9e5</string>
        </entry>
        <entry>
          <string>com.google.guava:guava-25.0-jre.jar</string>
          <string>a8e597a21ea6a9bc661d038b52b01b93</string>
        </entry>
        <entry>
          <string>org.mockito:mockito-core-2.25.0.jar</string>
          <string>4070c2477d1fa3d8bafc9a552f6a8eba</string>
        </entry>
        <entry>
          <string>org.apache.ant:ant-launcher-1.8.3.jar</string>
          <string>a9e66d25caae7c810a4f7014981ef501</string>
        </entry>
        <entry>
          <string>org.seleniumhq.selenium:selenium-support-3.13.0.jar</string>
          <string>95dc491b087e7d130dfb757b99b13284</string>
        </entry>
        <entry>
          <string>org.seleniumhq.selenium:selenium-edge-driver-3.13.0.jar</string>
          <string>c6233bebe620ddd832bd5f26e0f3e957</string>
        </entry>
        <entry>
          <string>commons-logging:commons-logging-1.2.jar</string>
          <string>040b4b4d8eac886f6b4a2a3bd2f31b00</string>
        </entry>
        <entry>
          <string>org.apache.commons:commons-lang3-3.3.2.jar</string>
          <string>3128bf75a2549ebe38663401191bacab</string>
        </entry>
        <entry>
          <string>com.squareup.okhttp3:okhttp-3.10.0.jar</string>
          <string>6aaeda95994c63c8901930c2866ba04b</string>
        </entry>
        <entry>
          <string>org.mortbay.jetty:jetty-6.1.14.jar</string>
          <string>f77142d26b9b4706fcef5a27824c0e1b</string>
        </entry>
        <entry>
          <string>org.objenesis:objenesis-2.6.jar</string>
          <string>5ffac3f51405ca9b2915970a224b3e8f</string>
        </entry>
        <entry>
          <string>org.seleniumhq.selenium:selenium-firefox-driver-3.13.0.jar</string>
          <string>afeb4461745b5a1150c5b75b558364c8</string>
        </entry>
        <entry>
          <string>org.mortbay.jetty:servlet-api-2.5-6.1.14.jar</string>
          <string>0e13653c2c2b081afe8f92331d81ffa7</string>
        </entry>
        <entry>
          <string>org.apache.commons:commons-exec-1.3.jar</string>
          <string>8bb8fa2edfd60d5c7ed6bf9923d14aa8</string>
        </entry>
        <entry>
          <string>com.qaagility:HelloWorld.war</string>
          <string>a23cc8213a7e8452e122ac5dd9464712</string>
        </entry>
        <entry>
          <string>org.apache.ant:ant-1.8.3.jar</string>
          <string>5c8acc130823219fe778b7c2f8d47912</string>
        </entry>
        <entry>
          <string>com.google.j2objc:j2objc-annotations-1.1.jar</string>
          <string>49ae3204bb0bb9b2ac77062641f4a6d7</string>
        </entry>
        <entry>
          <string>jaxen:jaxen-1.1.4.jar</string>
          <string>22ac9320ae8f9b03c4c98e8ab621a10c</string>
        </entry>
        <entry>
          <string>com.sun:tools.jar</string>
          <string>04e7dea13ac194505825d096cf831c2a</string>
        </entry>
        <entry>
          <string>com.google.code.gson:gson-2.8.4.jar</string>
          <string>5c5fa99b264e68546620cb81d6340e43</string>
        </entry>
      </record>
    </hudson.tasks.Fingerprinter_-FingerprintAction>
  </actions>
  <queueId>70</queueId>
  <timestamp>1588427723544</timestamp>
  <startTime>1588427723558</startTime>
  <result>SUCCESS</result>
  <duration>26917</duration>
  <charset>US-ASCII</charset>
  <keepLog>false</keepLog>
  <builtOn></builtOn>
  <workspace>/home/devops/.jenkins/workspace/PrashanthMavenTest</workspace>
  <hudsonVersion>2.234</hudsonVersion>
  <scm class="hudson.plugins.git.GitChangeLogParser" plugin="git@4.2.2">
    <authorOrCommitter>false</authorOrCommitter>
    <showEntireCommitSummaryInChanges>true</showEntireCommitSummaryInChanges>
  </scm>
  <culprits class="com.google.common.collect.EmptyImmutableSortedSet"/>
  <mavenVersionUsed>3.3.9</mavenVersionUsed>
</hudson.maven.MavenModuleSetBuild>